Bug 53498 - Crashes if rpm database in use
Summary: Crashes if rpm database in use
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-10 15:29 UTC by GeoffLeach
Modified: 2015-01-07 23:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 16:27:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description GeoffLeach 2001-09-10 15:29:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
Starting up2date when the database is in use results in messy exit

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start rpm -i <some package>
2.start up2date before it finishes
3.
	

Actual Results:  up2date terminates messily

Expected Results:  Popup with a message "Waiting for rpm database" and a
cancel button

Additional info:

Comment 1 Adrian Likins 2001-12-03 20:12:42 UTC
Plans are afoot, but are dependent on newer versions of rpm.

In the meantime, up2date will now handle db error issues neater.
(ie, no more tracebacks, but you will get an error message)


Comment 2 Matt Jamison 2003-05-19 16:27:03 UTC
it is now working properly.


Note You need to log in before you can comment on or make changes to this bug.